package de.intevation.flys.exports;



/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class ChartSection extends TypeSection {

    public static final String TITLE_ATTR       = "title";
    public static final String SUBTITLE_ATTR    = "subtitle";
    public static final String DISPLAYGRID_ATTR = "display-grid";


    public ChartSection() {
        super("chart");
    }


    public void setTitle(String title) {
        setStringValue(TITLE_ATTR, title);
    }


    public String getTitle() {
        return getStringValue(TITLE_ATTR);
    }


    public void setSubtitle(String subtitle) {
        setStringValue(SUBTITLE_ATTR, subtitle);
    }


    public String getSubtitle() {
        return getStringValue(SUBTITLE_ATTR);
    }


    public void setDisplayGird(boolean displayGrid) {
        setBooleanValue(DISPLAYGRID_ATTR, displayGrid);
    }


    public Boolean getDisplayGrid() {
        return getBooleanValue(DISPLAYGRID_ATTR);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
